summaryrefslogtreecommitdiffstats
path: root/app-arch/unrar
diff options
context:
space:
mode:
Diffstat (limited to 'app-arch/unrar')
-rw-r--r--app-arch/unrar/Manifest11
-rw-r--r--app-arch/unrar/files/ftello_unrar_fix.patch16
-rw-r--r--app-arch/unrar/files/unrar-3.4.3_fix.patch71
-rw-r--r--app-arch/unrar/files/unrar-3.5.3_fix.patch60
-rw-r--r--app-arch/unrar/unrar-3.4.3-r1.ebuild51
-rw-r--r--app-arch/unrar/unrar-3.5.4-r2.ebuild39
-rw-r--r--app-arch/unrar/unrar-3.6.5-r1.ebuild48
-rw-r--r--app-arch/unrar/unrar-3.7.3-r1.ebuild47
8 files changed, 343 insertions, 0 deletions
diff --git a/app-arch/unrar/Manifest b/app-arch/unrar/Manifest
new file mode 100644
index 0000000..0d97f37
--- /dev/null
+++ b/app-arch/unrar/Manifest
@@ -0,0 +1,11 @@
+AUX ftello_unrar_fix.patch 728 RMD160 cade46d01838baf26a44bf16f25133dec48974b7 SHA1 4aa3dd00ac19d76dc3d1c2e31015795e2408aa61 SHA256 79684ddb1efe9887225ad2f7f238b99ab7252a00616a68374425fafb7505690d
+AUX unrar-3.4.3_fix.patch 2167 RMD160 b332302c5dee6b3350d47014091fd6f39819d354 SHA1 fef7e65557c56861b4829cac8fadad2a37244c69 SHA256 970f41fbdf00397897ea201bc110ea6d028965061f4080b05e279f207b1856fd
+AUX unrar-3.5.3_fix.patch 1638 RMD160 3dadc43791e46d58ad77010d543b0a270abc003f SHA1 849bd263d693482b3c03b1bb1e039328d80b623d SHA256 da6c379c0b35ed47e76b29aaf881c53c8339e20432eb418ff6e53fa7bdc15a46
+DIST unrarsrc-3.4.3.tar.gz 120462 RMD160 ea0ce9915f8d29dc21e2cc22f811d2a14997de9d SHA1 ab9c9c6f55e4e13ada0b5aa74d58bdf5d0133dcc SHA256 f53533b44a9c17972aff6ac7047c6ac1e2e5e2930254eccdb1239678a6dd1793
+DIST unrarsrc-3.5.4.tar.gz 122801 RMD160 f8fd81e1e1b74bfd05eacf23d04b57a80fec3faa SHA1 e0bf07f8a36b738b1ed033b767155f27b51fc408 SHA256 caf75266a359456398b0bbfa4ea9c1c2d3fcc9088bfe6a1309bf51e3d5376989
+DIST unrarsrc-3.6.5.tar.gz 125045 RMD160 9aa3b60595a76208390655fa7a51127accb4b434 SHA1 2388fd40b2c8a0ce19f2eaa3dbd3b509e28a7b58 SHA256 34f3bfbe7d5e34f5dc5735d95e77670b4b1099f5a3059389a71750a58864236f
+DIST unrarsrc-3.7.3.tar.gz 129328 RMD160 155a244a149937bb5f91ea8041177bdb6fe6f788 SHA1 d4ba5c8f3acff759a847315697d418c089382d95 SHA256 fd91c11864746eaa7b70c8c47ed5e9e1c2f29a15a1e60550f185756599795999
+EBUILD unrar-3.4.3-r1.ebuild 1451 RMD160 aa4aae7bb14d7bfa54b8be766091616aaf345f4d SHA1 9a0a9e28711be0cd2ac01a8b667ef1fb7a87fcd6 SHA256 dbfa86937fb4667e14b2f2864addcc058e28a824a9ca461a09c2ca134da2e428
+EBUILD unrar-3.5.4-r2.ebuild 1250 RMD160 7924dc71ad4b1cce138d5b301a9051418d3a6025 SHA1 5b98e515b57db9ad388d9cea93471b0cd9a4b462 SHA256 288452c214aa6039e5c007ab2efb037c5df3c75f64252a7f519322e9199103f0
+EBUILD unrar-3.6.5-r1.ebuild 1346 RMD160 0486e6176c9e61aa7250ba13916175298221ed4d SHA1 07f5fe0f78d618698357ea4a8e79220cb59325ae SHA256 5cc172a75d74e327c126cf19d07e6ef337b5ba5ca5c79d6155012b782c336fa1
+EBUILD unrar-3.7.3-r1.ebuild 1339 RMD160 99d7dde283838f8b80b120337916a8d300e1dbf6 SHA1 627f48ac4ffa46d541593e4734d7fcd028cd7f22 SHA256 d7a3b2f5bb65aa7459c1cfcec5aa8cbf3a198382efde2abba54781656b4e2ac5
diff --git a/app-arch/unrar/files/ftello_unrar_fix.patch b/app-arch/unrar/files/ftello_unrar_fix.patch
new file mode 100644
index 0000000..a5f0d62
--- /dev/null
+++ b/app-arch/unrar/files/ftello_unrar_fix.patch
@@ -0,0 +1,16 @@
+diff -ruN unrar.orig/dll.cpp unrar/dll.cpp
+--- unrar.orig/dll.cpp 2005-08-03 20:34:30.000000000 +0400
++++ unrar/dll.cpp 2006-01-11 12:13:33.000000000 +0300
+@@ -271,8 +271,10 @@
+ strcpy(Data->Cmd.Command,Operation==RAR_EXTRACT ? "X":"T");
+ Data->Cmd.Test=Operation!=RAR_EXTRACT;
+ bool Repeat=false;
+- Data->Extract.ExtractCurrentFile(&Data->Cmd,Data->Arc,Data->HeaderSize,Repeat);
+-
++
++ if(Data->Extract.ExtractCurrentFile(&Data->Cmd,Data->Arc,Data->HeaderSize,Repeat) == false)
++ return (ERAR_UNKNOWN);
++
+ while (Data->Arc.ReadHeader()!=0 && Data->Arc.GetHeaderType()==NEWSUB_HEAD)
+ {
+ Data->Extract.ExtractCurrentFile(&Data->Cmd,Data->Arc,Data->HeaderSize,Repeat);
diff --git a/app-arch/unrar/files/unrar-3.4.3_fix.patch b/app-arch/unrar/files/unrar-3.4.3_fix.patch
new file mode 100644
index 0000000..aaa768e
--- /dev/null
+++ b/app-arch/unrar/files/unrar-3.4.3_fix.patch
@@ -0,0 +1,71 @@
+diff -ruN unrar.orig/consio.hpp unrar/consio.hpp
+--- unrar.orig/consio.hpp 2004-09-08 17:57:20.000000000 +0400
++++ unrar/consio.hpp 2004-10-22 10:43:08.000000000 +0400
+@@ -21,12 +21,16 @@
+ void OutComment(char *Comment,int Size);
+
+ #ifdef SILENT
++/*
+ inline void mprintf(const char *fmt,const char *a=NULL,const char *b=NULL) {}
+ inline void eprintf(const char *fmt,const char *a=NULL,const char *b=NULL) {}
+ inline void mprintf(const char *fmt,int b) {}
+ inline void eprintf(const char *fmt,int b) {}
+ inline void mprintf(const char *fmt,const char *a,int b) {}
+ inline void eprintf(const char *fmt,const char *a,int b) {}
++*/
++inline void mprintf(const char *fmt,...) {}
++inline void eprintf(const char *fmt,...) {}
+ inline void Alarm() {}
+ inline void GetPasswordText(char *Str,int MaxLength) {}
+ inline unsigned int GetKey() {return(0);}
+diff -ruN unrar.orig/dll.hpp unrar/dll.hpp
+--- unrar.orig/dll.hpp 2004-09-08 17:57:20.000000000 +0400
++++ unrar/dll.hpp 2004-10-22 10:43:08.000000000 +0400
+@@ -26,13 +26,13 @@
+
+ #define RAR_DLL_VERSION 4
+
+-#ifdef _UNIX
++//#ifdef _UNIX
+ #define CALLBACK
+ #define PASCAL
+ #define LONG long
+ #define HANDLE void *
+ #define UINT unsigned int
+-#endif
++//#endif
+
+ struct RARHeaderData
+ {
+diff -ruN unrar.orig/makefile.unix unrar/makefile.unix
+--- unrar.orig/makefile.unix 2004-07-26 11:57:26.000000000 +0400
++++ unrar/makefile.unix 2004-10-22 10:44:09.000000000 +0400
+@@ -7,9 +7,10 @@
+
+ # Linux using GCC
+ CXX=g++
+-CXXFLAGS=-O2
+-DEFINES=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
++CXXFLAGS=-O2 -fPIC -DPIC
++DEFINES=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DGUI -DSILENT
+ STRIP=strip
++RANLIB=ranlib
+
+ # Linux using LCC
+ #CXX=lcc
+@@ -114,6 +115,12 @@
+ $(STRIP) default.sfx
+
+ lib: WHAT=RARDLL
+-lib: $(OBJECTS) $(LIB_OBJ)
+- @rm -f libunrar.so
+- $(LINK) -shared -o libunrar.so $(LDFLAGS) $(OBJECTS) $(LIB_OBJ)
++lib: $(OBJECTS) $(LIB_OBJ) $(UNRAR_OBJ)
++ @rm -f libunrar3.so
++ $(LINK) -shared -o libunrar3.so $(LDFLAGS) $(OBJECTS) $(LIB_OBJ) $(UNRAR_OBJ)
++
++liba: WHAT=RARDLL
++liba: $(OBJECTS) $(LIB_OBJ) $(UNRAR_OBJ)
++ @rm -f libunrar3.a
++ $(AR) rc libunrar3.a $(OBJECTS) $(LIB_OBJ) $(UNRAR_OBJ)
++ $(RANLIB) libunrar3.a
diff --git a/app-arch/unrar/files/unrar-3.5.3_fix.patch b/app-arch/unrar/files/unrar-3.5.3_fix.patch
new file mode 100644
index 0000000..aedb98c
--- /dev/null
+++ b/app-arch/unrar/files/unrar-3.5.3_fix.patch
@@ -0,0 +1,60 @@
+diff -ruN unrar.orig/makefile.unix unrar/makefile.unix
+--- unrar.orig/makefile.unix 2005-04-30 11:00:12.000000000 +0400
++++ unrar/makefile.unix 2005-05-19 16:13:53.000000000 +0400
+@@ -7,9 +7,10 @@
+
+ # Linux using GCC
+ CXX=g++
+-CXXFLAGS=-O2
+-DEFINES=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
++CXXFLAGS=-O2 -fPIC -DPIC
++DEFINES=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DGUI -DSILENT
+ STRIP=strip
++RANLIB=ranlib
+
+ # Linux using LCC
+ #CXX=lcc
+@@ -86,7 +87,7 @@
+ LINK=$(CXX)
+
+ UNRAR_OBJ=filestr.o recvol.o rs.o scantree.o
+-LIB_OBJ=filestr.o scantree.o dll.o
++LIB_OBJ=dll.o
+
+ OBJECTS=rar.o strlist.o strfn.o pathfn.o int64.o savepos.o global.o file.o filefn.o filcreat.o \
+ archive.o arcread.o unicode.o system.o isnt.o crypt.o crc.o rawread.o encname.o \
+@@ -114,6 +115,12 @@
+ $(STRIP) default.sfx
+
+ lib: WHAT=RARDLL
+-lib: $(OBJECTS) $(LIB_OBJ)
+- @rm -f libunrar.so
+- $(LINK) -shared -o libunrar.so $(LDFLAGS) $(OBJECTS) $(LIB_OBJ)
++lib: $(OBJECTS) $(LIB_OBJ) $(UNRAR_OBJ)
++ @rm -f libunrar3.so
++ $(LINK) -shared -o libunrar3.so $(LDFLAGS) $(OBJECTS) $(LIB_OBJ) $(UNRAR_OBJ)
++
++liba: WHAT=RARDLL
++liba: $(OBJECTS) $(LIB_OBJ) $(UNRAR_OBJ)
++ @rm -f libunrar3.a
++ $(AR) rc libunrar3.a $(OBJECTS) $(LIB_OBJ) $(UNRAR_OBJ)
++ $(RANLIB) libunrar3.a
+diff -ruN unrar.orig/dll.hpp unrar/dll.hpp
+--- unrar.orig/dll.hpp 2004-09-08 17:57:20.000000000 +0400
++++ unrar/dll.hpp 2004-10-22 10:43:08.000000000 +0400
+@@ -26,13 +26,13 @@
+
+ #define RAR_DLL_VERSION 4
+
+-#ifdef _UNIX
++//#ifdef _UNIX
+ #define CALLBACK
+ #define PASCAL
+ #define LONG long
+ #define HANDLE void *
+ #define UINT unsigned int
+-#endif
++//#endif
+
+ struct RARHeaderData
+ {
diff --git a/app-arch/unrar/unrar-3.4.3-r1.ebuild b/app-arch/unrar/unrar-3.4.3-r1.ebuild
new file mode 100644
index 0000000..d4713f1
--- /dev/null
+++ b/app-arch/unrar/unrar-3.4.3-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-arch/unrar/unrar-3.4.3.ebuild,v 1.11 2005/04/08 10:49:37 corsair Exp $
+
+#SDS
+inherit eutils
+#EDS
+
+MY_PN=${PN}src
+DESCRIPTION="Uncompress rar files"
+HOMEPAGE="http://www.rarlab.com/rar_add.htm"
+SRC_URI="http://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="unRAR"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ppc ppc64 ppc-macos sparc x86"
+IUSE=""
+
+DEPEND="!app-arch/unrar-gpl"
+
+S="${WORKDIR}/unrar"
+
+#SDS
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+# EPATCH_OPTS="-p1" epatch ${FILESDIR}/unrar-3.4.3_fix.patch || die
+}
+#EDS
+
+src_compile() {
+ emake -f makefile.unix CXXFLAGS="$CXXFLAGS" || die "emake failed"
+#SDS
+# emake -f makefile.unix CXXFLAGS="$CXXFLAGS" lib || die "emake failed"
+#EDS
+}
+
+src_install() {
+ dobin unrar || die "dobin failed"
+ dodoc readme.txt
+#SDS
+ EPATCH_OPTS="-p1" epatch ${FILESDIR}/unrar-3.4.3_fix.patch || die
+ emake -f makefile.unix CXXFLAGS="$CXXFLAGS" clean || die "emake failed"
+ emake -f makefile.unix CXXFLAGS="$CXXFLAGS" lib || die "emake failed"
+
+ mkdir -p ${D}/usr/lib/
+ mkdir -p ${D}/usr/include/libunrar3/
+ install -s -D -m 755 libunrar3.so ${D}/usr/lib/libunrar3.so
+ install -D -m 644 dll.hpp ${D}/usr/include/libunrar3/dll.hpp
+#EDS
+}
diff --git a/app-arch/unrar/unrar-3.5.4-r2.ebuild b/app-arch/unrar/unrar-3.5.4-r2.ebuild
new file mode 100644
index 0000000..10231c0
--- /dev/null
+++ b/app-arch/unrar/unrar-3.5.4-r2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-arch/unrar/unrar-3.5.4.ebuild,v 1.1 2005/11/09 01:38:07 vapier Exp $
+
+inherit eutils
+
+MY_PN=${PN}src
+DESCRIPTION="Uncompress rar files"
+HOMEPAGE="http://www.rarlab.com/rar_add.htm"
+SRC_URI="http://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="unRAR"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~hppa ~ppc ~ppc-macos ~ppc64 ~sparc x86"
+IUSE=""
+
+DEPEND="!app-arch/unrar-gpl"
+
+S=${WORKDIR}/unrar
+
+src_compile() {
+ emake -f makefile.unix CXXFLAGS="$CXXFLAGS" || die "emake failed"
+}
+
+src_install() {
+ dobin unrar || die "dobin failed"
+ dodoc readme.txt
+#SDS
+ epatch "${FILESDIR}"/unrar-3.5.3_fix.patch || die
+ epatch "${FILESDIR}"/ftello_unrar_fix.patch || die
+ emake -f makefile.unix CXXFLAGS="$CXXFLAGS" clean || die "emake failed"
+ emake -f makefile.unix CXXFLAGS="$CXXFLAGS" lib || die "emake failed"
+
+ mkdir -p ${D}/usr/lib/
+ mkdir -p ${D}/usr/include/libunrar3/
+ install -s -D -m 755 libunrar3.so ${D}/usr/lib/libunrar3.so
+ install -D -m 644 dll.hpp ${D}/usr/include/libunrar3/dll.hpp
+#EDS
+}
diff --git a/app-arch/unrar/unrar-3.6.5-r1.ebuild b/app-arch/unrar/unrar-3.6.5-r1.ebuild
new file mode 100644
index 0000000..9369a90
--- /dev/null
+++ b/app-arch/unrar/unrar-3.6.5-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-arch/unrar/unrar-3.6.5.ebuild,v 1.1 2006/06/17 22:07:03 vapier Exp $
+
+#SDS
+inherit eutils
+#EDS
+
+inherit toolchain-funcs
+
+MY_PN=${PN}src
+DESCRIPTION="Uncompress rar files"
+HOMEPAGE="http://www.rarlab.com/rar_add.htm"
+SRC_URI="http://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="unRAR"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~hppa ~ppc ~ppc-macos ~ppc64 ~sparc x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="!app-arch/unrar-gpl"
+
+S=${WORKDIR}/unrar
+
+src_compile() {
+ emake \
+ -f makefile.unix \
+ CXXFLAGS="${CXXFLAGS}" \
+ CXX="$(tc-getCXX)" \
+ STRIP="true" || die "emake failed"
+}
+
+src_install() {
+ dobin unrar || die "dobin failed"
+ dodoc readme.txt
+
+#SDS
+ epatch "${FILESDIR}"/unrar-3.5.3_fix.patch || die
+ epatch "${FILESDIR}"/ftello_unrar_fix.patch || die
+ emake -f makefile.unix CXXFLAGS="$CXXFLAGS" clean || die "emake failed"
+ emake -f makefile.unix CXXFLAGS="$CXXFLAGS" lib || die "emake failed"
+
+ mkdir -p ${D}/usr/lib/
+ mkdir -p ${D}/usr/include/libunrar3/
+ install -s -D -m 755 libunrar3.so ${D}/usr/lib/libunrar3.so
+ install -D -m 644 dll.hpp ${D}/usr/include/libunrar3/dll.hpp
+#EDS
+}
diff --git a/app-arch/unrar/unrar-3.7.3-r1.ebuild b/app-arch/unrar/unrar-3.7.3-r1.ebuild
new file mode 100644
index 0000000..b3e6fd6
--- /dev/null
+++ b/app-arch/unrar/unrar-3.7.3-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-arch/unrar/unrar-3.7.3.ebuild,v 1.9 2007/02/17 15:12:18 vapier Exp $
+
+#SDS
+inherit toolchain-funcs eutils
+#EDS
+
+
+MY_PN=${PN}src
+DESCRIPTION="Uncompress rar files"
+HOMEPAGE="http://www.rarlab.com/rar_add.htm"
+SRC_URI="http://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="unRAR"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="!app-arch/unrar-gpl"
+
+S=${WORKDIR}/unrar
+
+src_compile() {
+ emake \
+ -f makefile.unix \
+ CXXFLAGS="${CXXFLAGS}" \
+ CXX="$(tc-getCXX)" \
+ STRIP="true" || die "emake failed"
+}
+
+src_install() {
+ dobin unrar || die "dobin failed"
+ dodoc readme.txt
+
+#SDS
+ epatch "${FILESDIR}"/unrar-3.5.3_fix.patch || die
+ epatch "${FILESDIR}"/ftello_unrar_fix.patch || die
+ emake -f makefile.unix CXXFLAGS="$CXXFLAGS" clean || die "emake failed"
+ emake -f makefile.unix CXXFLAGS="$CXXFLAGS" lib || die "emake failed"
+
+ mkdir -p ${D}/usr/lib/
+ mkdir -p ${D}/usr/include/libunrar3/
+ install -s -D -m 755 libunrar3.so ${D}/usr/lib/libunrar3.so
+ install -D -m 644 dll.hpp ${D}/usr/include/libunrar3/dll.hpp
+#EDS
+}